org.eclipse.jdt.launching

## Class StandardSourcePathProvider

- java.lang.Object
- - org.eclipse.jdt.launching.StandardClasspathProvider
  - - org.eclipse.jdt.launching.StandardSourcePathProvider

All Implemented Interfaces:
  IRuntimeClasspathProvider

    public class StandardSourcePathProvider
    extends StandardClasspathProvider

Default implementation of source lookup path computation and resolution.

This class may be sub-classed.

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`StandardSourcePathProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addManifestReferences(IRuntimeClasspathEntry entry, List<IRuntimeClasspathEntry> all)` If the given entry is an archive, adds any archives referenced by the associated manifest.
`IRuntimeClasspathEntry[]` `computeUnresolvedClasspath(ILaunchConfiguration configuration)` Computes and returns an unresolved classpath for the given launch configuration.
`IRuntimeClasspathEntry[]` `resolveClasspath(IRuntimeClasspathEntry[] entries, ILaunchConfiguration configuration)` Returns the resolved path corresponding to the given path, in the context of the given launch configuration.

### Methods inherited from class org.eclipse.jdt.launching.StandardClasspathProvider

`recoverRuntimePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardSourcePathProvider

    public StandardSourcePathProvider()

### Method Detail

#### computeUnresolvedClasspath

    public IRuntimeClasspathEntry[] computeUnresolvedClasspath(ILaunchConfiguration configuration)
                                                        throws CoreException

Description copied from interface: `IRuntimeClasspathProvider`
Computes and returns an unresolved classpath for the given launch configuration. Variable and container entries are not resolved.

Specified by:
  `computeUnresolvedClasspath` in interface `IRuntimeClasspathProvider`
Overrides:
  `computeUnresolvedClasspath` in class `StandardClasspathProvider`
Parameters:
  `configuration` - launch configuration
Returns:
  unresolved path
Throws:
  `CoreException` - if unable to compute a path

#### resolveClasspath

    public IRuntimeClasspathEntry[] resolveClasspath(IRuntimeClasspathEntry[] entries,
                                                     ILaunchConfiguration configuration)
                                              throws CoreException

Description copied from interface: `IRuntimeClasspathProvider`
Returns the resolved path corresponding to the given path, in the context of the given launch configuration. Variable and container entries are resolved. The returned (resolved) path need not have the same number of entries as the given (unresolved) path.

Specified by:
  `resolveClasspath` in interface `IRuntimeClasspathProvider`
Overrides:
  `resolveClasspath` in class `StandardClasspathProvider`
Parameters:
  `entries` - entries to resolve
  `configuration` - launch configuration context to resolve in
Returns:
  resolved path
Throws:
  `CoreException` - if unable to resolve a path

#### addManifestReferences

    protected void addManifestReferences(IRuntimeClasspathEntry entry,
                                         List<IRuntimeClasspathEntry> all)

If the given entry is an archive, adds any archives referenced by the associated manifest.

Parameters:
  `entry` - runtime classpath entry
  `all` - list to add references to